
<%@ page import="java.net.InetAddress, java.util.*, java.io.*, com.jtestnetwork.entity.*,  com.jtestnetwork.servlet.*,com.jtestnetwork.util.*" %>
<html>
<body>
<%@ include file="includeDBAbsolutePath.jsp" %>
<link rel="stylesheet" href="JTestNetworkStyles.css">

<%
// Alex K., 12/5/02

boolean postFlag = false;
if("POST".equalsIgnoreCase(request.getMethod())){

	postFlag = true;
	
	//-------------------------------------------------------------------
	//process dynamically generated fields 
	//Build a array list of Agent objects
	//-------------------------------------------------------------------
	
	ArrayList alAgents = new ArrayList();

	for (Enumeration eList =  request.getParameterNames() ; eList.hasMoreElements() ; )
	{
		String sListElement = (String) eList.nextElement();
		String paramValue = request.getParameter(sListElement) ;
		if (paramValue == null) {paramValue = "";}
		if (paramValue.equals(" ")) {paramValue = "";}

		//split complex parameter name into Field Name and Server#
		if (sListElement.indexOf("_")!= -1) {
			Vector v = new Vector(2,1);

			StringTokenizer st = new StringTokenizer(sListElement, "_");
			while (st.hasMoreTokens()) {
				v.addElement(st.nextToken());
			}  //end while

			String sActionName 	= (String) v.elementAt(0);
			String sAgentID 	= (String) v.elementAt(1);
	
			//delete agent
			if (sActionName.equals("Delete")) {
				TestAgents ta = new TestAgents(sAgentID,db);
				TestAgents.deleteAgent(ta,db);//saves to DB
				out.print("<br>Agent {" + ta.getAgentID() +"} has been deleted");	
			}
    	} //end if (sListElement.indexOf("_")!= -1)   
 	}//end processing fields
 	
 	//replicate changes to all other Agents' DBs
	ArrayList alToSend = TestAgents.getAllAgents(db);
	String objectsType = "Agents";
	ObjectsDeliveryClient.sendJTestObjects(alToSend, objectsType, ta_Self, db);

}//end post

%>
<p align="center">
<% 
  
	String agentID, agentURL, port, smtpHost;
	Servers server;
	TestAgents tagent;
  
	ArrayList alAgents = TestAgents.getAllAgents(db);
	
%>
 <font size="4"><b>Test Agents</b></font>
 <p align="center">

<table border="0" cellpadding="0" cellspacing="0" width="100%">
<tr>
<td>

<ul>

<% if (!bLocalAgentExists) {%>
<li>
<p align="left">
<span class="errormsg">
    The current User Interface does not contain a record for a local Agent. 
</span>
    <br>Please create an Agent with the following parameters:
    <br>ID - <%=sCurrentAgentID%>
  	<br>URL - <%="http://"+sCurrentServerName%>
    <br>Port- <%=sCurrentServerPort%>
    </li>
 <%}//end if bLocalAgentExists%>   
  <li>
    <p align="left">
The system currently contains <%=alAgents.size()%> Agents</li>
  <li>
    <p align="left">Click <a href="Agent.jsp?AgentId=new">here</a> 
    to create a new Agent</li>
  <li>
    <p align="left">To update an existing Agent, click on Agent ID</li>
  <li>
    <p align="left">To delete an Agent, check an appropriate Delete check box next to the 
    Agent ID and click on Submit</li>
  
</ul>
</td>
</tr>
</table>
<table border="1" cellpadding="0" cellspacing="0" width="100%">
<FORM name="Agents" action="Agents.jsp" method='Post'>
<tr>
    <th  align="center"><b>#</b></td>
    <th  align="center"><b>Delete</b>       
    <th  align="center"><b>ID</b></td>
    <th  align="center"><b>URL</b></td> 
    <th  align="center"><b>SMTP Host</b></td>     
    <th  align="center"><b>Test Results</b>  
     
</tr>

<%
	Iterator it;
		
	int i;
	
   	it	=	alAgents.iterator();
	i=0;
	while (it.hasNext()){
		out.print("\n<tr>");
		i++;
		TestAgents ta  	= 	(TestAgents)it.next();

		boolean bLocalAgent = false;
		
		String	sAgentID		=	ta.getAgentID();
		if (bLocalAgentExists) {
			if (ta_Self.getAgentID().equals(sAgentID)) {
				bLocalAgent = true;
			}
		}
		
		String sAgentURL		=	ta.getAgentURL();
		String sAgentPort		= 	ta.getAgentPort();
       	String sAgentInstallationDirectory		= 	ta.getAgentInstallationDirectory();
        String sAgentSMTPHost	= 	ta.getSMTPHost();
	
   		out.print ("\n<td style='text-align:center; vertical-align:center'>"+i+"</td>");
   		
   		out.print("\n<td style='text-align:center; vertical-align:center'>");
   		
        if (!bLocalAgent) {
   			out.print("\n<input type='checkbox' name='Delete_" + sAgentID + "'  value='ON'>");
   		} else {
   			out.print("Local Agent");
   		}
   		out.print("&nbsp</td>");   		
   		
   		out.print("\n<td style='text-align:center; vertical-align:center'>");  
   		//out.print("\n<A onClick=\"window.open('Agent.jsp?AgentId="+sAgentID+"','start','scrollbars=yes,toolbar=no,status=no,location=0,resizable=yes,close=no,menubar=no,width=600,height=350'); return false;\" HREF=\"#\">"+sAgentID+"</a>");
		out.print("<p align='left'><a href='Agent.jsp?AgentId=" +sAgentID +"'>" +sAgentID + "</a>"); 
 		out.print("\n</td>");


   		out.print("\n<td style='text-align:center; vertical-align:center'>");  
   		out.print("\n&nbsp;" +sAgentURL+ ":" +sAgentPort+"/" + sAgentInstallationDirectory);
   		out.print("\n</td>");   		
   	        
		out.print("\n<td style='text-align:center; vertical-align:center'>");  
   		out.print("\n&nbsp;" +sAgentSMTPHost);
   		out.print("\n</td>");  
        
  		out.print("\n<td style='text-align:center; vertical-align:center'>");  
  		if (bLocalAgent)
   			out.print("\n&nbsp;<A onClick=\"window.open('CheckedServers.jsp?sourceDB=Local&agentid="+sAgentID+"','start','scrollbars=yes,toolbar=no,status=no,location=0,resizable=yes,close=no,menubar=no,width=600,height=400'); return false;\" HREF=\"#\">Click Here</a>");
 		else 
 			out.print("\n&nbsp;<A onClick=\"window.open('CheckedServers.jsp?sourceDB=All&agentid="+sAgentID+"','start','scrollbars=yes,toolbar=no,status=no,location=0,resizable=yes,close=no,menubar=no,width=600,height=400'); return false;\" HREF=\"#\">Click Here</a>");
 			
 		out.print("\n</td>");  
   		
   		out.print("\n</tr>");
	}//end for-loop
 
%>

</table>

<p align='center'>
<input type="submit" value="Submit" name="Submit">
<input type="reset" value="Reset" name="Reset">

</FORM>

</body>
</html>