
<%@ page import="java.net.InetAddress, java.util.*, java.text.*,java.io.*, com.jtestnetwork.entity.*,  com.jtestnetwork.servlet.*,com.jtestnetwork.util.*" %>
<html>
<body>
<%@ include file="includeDBAbsolutePath.jsp" %>

<link rel="stylesheet" href="JTestNetworkStyles.css">

<%
// Alex K., 1/3/03

boolean postFlag = false;
if("POST".equalsIgnoreCase(request.getMethod())){

	postFlag = true;
	
	//-------------------------------------------------------------------
	//process dynamically generated fields 
	//that look like name=Emails_3 value=akozachk@appliedinfo.com
	//Build a array list of Server objects
	//-------------------------------------------------------------------
	
	ArrayList alServers = new ArrayList();

	for (Enumeration eList =  request.getParameterNames() ; eList.hasMoreElements() ; )
	{
		String sListElement = (String) eList.nextElement();
		String paramValue = request.getParameter(sListElement) ;
		if (paramValue == null) {paramValue = "";}
		if (paramValue.equals(" ")) {paramValue = "";}

		//split complex parameter name into Field Name and Server#
		if (sListElement.indexOf("_")!= -1) {
			Vector v = new Vector(2,1);

			StringTokenizer st = new StringTokenizer(sListElement, "_");
			while (st.hasMoreTokens()) {
				v.addElement(st.nextToken());
			}  //end while

			String sActionName 	= (String) v.elementAt(0);
			String sServerID 	= (String) v.elementAt(1);
	
			//delete server
			if (sActionName.equals("Delete")) {
				Servers s = new Servers(sServerID,db);
				Servers.deleteServer(s,db);//saves to DB
//java.util.Date dRightNow = new java.util.Date();
//out.print("<br>Server {" + s.getServerID() +"} has been deleted" + " on " + dRightNow.toString());	
				out.print("<br>Server {" + s.getServerID() +"} has been deleted");	
			}
    	} //end if (sListElement.indexOf("_")!= -1)   
 	}//end processing fields
 	
	//replicate changes to all other Agents' DBs
	ArrayList alToSend = Servers.getAllServers(db);
	String objectsType = "Servers";
	ObjectsDeliveryClient.sendJTestObjects(alToSend, objectsType, ta_Self, db);


}//end post

%>
<p align="center">
<%  
	String serverID, serverURL, pageToCheck, expectedResult, agentID, agentURL, port;
	Servers server;
	TestAgents tagent;
  
	ArrayList alServers = Servers.getAllServers(db);
	HashMap hm = CheckedServers.getUpTime(CheckedServers.getAllLocalCheckedServers("", db));	
%>
<font size="4"><b>
Servers</b></font>

<table border="0" cellpadding="0" cellspacing="0" width="100%">
<tr>
<td>
&nbsp;</td>
</tr>
<tr>
<td>
<ul>
  <li>
    <p align="left">
There are <%=alServers.size()%> Servers currently registered in the System's 
Database</li>
  <li>
    <p align="left">Click <a href="Server.jsp?ServerId=new">here</a> 
    to register a new Server</li>
  <li>
    <p align="left">To update an existing Server, click on Server ID</li>
  <li>
    <p align="left">To delete a Server, check an appropriate Delete check box next to the
    Server ID and click on Submit</li>
</ul>
</td>
</tr>
</table>

<table border="1" cellpadding="0" cellspacing="0" width="70%">
<FORM name="Servers" action="Servers.jsp" method='Post'>
<tr>
    <th  align="center"><b>#</b></td>
    <th  align="center"><b>Delete</b>       
    <th  align="center"><b>ID</b></td>
    <th  align="center"><b>URL</b></td> 
    <th  align="center"><b>Test Now</b></td>   
    <th  align="center"><b>Test Results</b></td>
    <th  align="center"><b>Uptime (%)</b></td>          
</tr>

<%
	Iterator it;
	Iterator it1;
		
	int i;
	
   	it	=	alServers.iterator();
	i=0;
	while (it.hasNext()){
		out.print("\n<tr>");
		i++;
		Servers s  	= 	(Servers)it.next();

		String	sServerID		=	s.getServerID();
		String sServerURL		=	s.getServerURL();
		String sTestPage 		= 	s.getTestPage();
		String sLineToCheck 	=	""+s.getLine();
		String sExpectedResult 	= 	s.getExpectedResult();
		String sDelay 			= 	""+s.getDelay();
		String	sNotifText		= 	s.getNotificationText();
		ArrayList alEmail		= 	s.getEmails();
		
		it1 = alEmail.iterator();
		String  sEmails		=	"";
		while (it1.hasNext()){
			sEmails += (String)it1.next()+"\n";
		}
		
		String sUpTime = "n/a";
		
		if (hm.containsKey(sServerID)) {
   			int[] stats  	= 	(int[])hm.get(sServerID);

			NumberFormat nf = NumberFormat.getInstance();

			double dUpTime = ((double)(stats[0]-stats[1])/stats[0])*100;
			sUpTime = nf.format(dUpTime) ;
		}//key exists


   		out.print ("\n<td style='text-align:center; vertical-align:center'>"+i+"</td>");
   		
   		out.print ("\n<td style='text-align:center; vertical-align:center'>\n<input type='checkbox' name='Delete_" + sServerID + "'  value='ON'></td>");   		
   		
   		out.print("\n<td style='text-align:center; vertical-align:center'>");  
   		//out.print("\n<A onClick=\"window.open('Server.jsp?ServerId="+sServerID+"','start','scrollbars=yes,toolbar=no,status=no,location=0,resizable=yes,close=no,menubar=no,width=600,height=505'); return false;\" HREF=\"#\">"+sServerID+"</a>");
		out.print("<p align='left'><a href='Server.jsp?ServerId=" +sServerID +"'>" +sServerID + "</a>"); 
 		out.print("\n</td>");  
   		 		
   		out.print("\n<td style='text-align:left; vertical-align:center'>");  
   		out.print("\n" +sServerURL);
   		out.print("\n</td>");     		
 		
 		out.print("\n<td nowrap style='text-align:center; vertical-align:center'>");  
   		out.print(	"\n<A onClick=\"window.open('" + sServerURL	+"/" + sTestPage +"','start','scrollbars=yes,toolbar=no,status=no,location=0,resizable=yes,close=no,menubar=no,width=600,height=400'); return false;\" HREF=\"#\">Click Here</a>");
 		out.print("\n</td>"); 
 		
   		out.print("\n<td nowrap style='text-align:center; vertical-align:center'>");  
   		out.print(	"\n<A onClick=\"window.open('CheckedServers.jsp?serverid="+sServerID+"&agentid="+ta_Self.getAgentID()+"','start','scrollbars=yes,toolbar=no,status=no,location=0,resizable=yes,close=no,menubar=no,width=600,height=400'); return false;\" HREF=\"#\">Click Here</a>");
 		out.print("\n</td>");  
		out.print("\n<td style='text-align:center; vertical-align:center'>"); 
		out.print(sUpTime+ "</td></tr>"); 
	
   		out.print("\n</tr>");
	}//end for-loop
 
%>

</table>

<p align='center'>
<input type="submit" value="Submit" name="Submit">
<input type="reset" value="Reset" name="Reset">

</FORM>

</body>
</html>