
<%@ page import="java.net.InetAddress, java.util.*, java.io.*, com.jtestnetwork.entity.*,  com.jtestnetwork.servlet.*,com.jtestnetwork.util.*" %>
<html>
<body>
<%@ include file="includeDBAbsolutePath.jsp" %>

<link rel="stylesheet" href="JTestNetworkStyles.css">

<%
// Alex K., 9/9/02


boolean postFlag = false;
if("POST".equalsIgnoreCase(request.getMethod())){

	postFlag = true;
	ArrayList alServersToCheck = 	(ArrayList)session.getAttribute( "ServersToCheck");
	//Save to the DB
    ServersToCheck.saveAllServersToCheck(db,alServersToCheck);
	//db.writeAllServersToCheck(alServersToCheck);

	//-------------------------------------------------------------------
	//process dynamically generated fields 
	//Build a array list of ServersToCheck objects
	//-------------------------------------------------------------------

	for (Enumeration eList =  request.getParameterNames() ; eList.hasMoreElements() ; )
	{
		String sListElement = (String) eList.nextElement();
		String paramValue = request.getParameter(sListElement) ;
		if (paramValue == null) {paramValue = "";}
		if (paramValue.equals(" ")) {paramValue = "";}

		//split complex parameter name into Field Name and Server#
		if (sListElement.indexOf("_")!= -1) {
			Vector v = new Vector(2,1);

			StringTokenizer st = new StringTokenizer(sListElement, "_");
			while (st.hasMoreTokens()) {
				v.addElement(st.nextToken());
			}  //end while

			String sActionName 		= (String) v.elementAt(0);
			String sServerToCheckID = (String) v.elementAt(1);
	
			//delete ServersToCheck
			if (sActionName.equals("Delete")) {
				ServersToCheck stc = new ServersToCheck(sServerToCheckID, db);
				ServersToCheck.deleteServerToCheck(stc, db);//saves to DB
				out.print("<br>ServerToCheck {" + stc.getServerToCheckID() +"} has been deleted");	
			}
    	} //end if (sListElement.indexOf("_")!= -1)   
 	}//end processing fields
 	
	//replicate changes to all other Agents' DBs
	/*
	from Control Panel only
	ArrayList alToSend = ServersToCheck.getAllServersToCheck(db);
	String objectsType = "ServersToCheck";
	ObjectsDeliveryClient.sendJTestObjects(alToSend, objectsType, ta_Self, db);
	*/
 	//after it is posted it has to be transferred back to ServersToCheckUpdate.jsp
 	response.sendRedirect("ServersToCheckUpdate.jsp");

}//end post

%>
<p align="center">
<% 
	
	//build all ServersToCheck
	int iDaysToKeep = 1;
    
	ArrayList alServers = Servers.getAllServers(db);
	ArrayList alAgents 	= TestAgents.getAllAgents(db);
	int iMaxNumberOfSTC = alServers.size()* alAgents.size();
	ArrayList alServersToCheck1 = 
		ServersToCheck.getAllPossibleServersToCheck(alServers,alAgents,iDaysToKeep );
		
	session.setAttribute( "ServersToCheck", alServersToCheck1);
	
%>
 <b><font size="4">Generate All Possible Combinations of Agents and Servers</font>
</b>
<br><br>
 <table border="0" cellpadding="0" cellspacing="0" width="100%">
<tr>
<td>

<ul>
  <li>
    <p align="left">You just chose to generate all <%=iMaxNumberOfSTC%> possible combinations of Agents and Servers&nbsp; 
    (each Agent will test all Servers) - click on Submit to save these records</li>
  <li>
    <p align="left">To delete a record, check an appropriate Delete check box next to the
    Server and click on Submit</li>
</ul>
</td>
</tr>
</table>
<table border="1" cellpadding="0" cellspacing="0" width="70%">
<FORM name="ServersToCheck" action="ServersToCheckGenerate.jsp" method='Post'>
<tr>
    <th  align="center"><b>#</b></th>
    <th  align="center"><b>Delete</b></th>
    <!--
    <th  align="center"><b>ID</b></th>   
    --> 
    <th  align="center"><b>Test this Server</b></th>
    <th  align="center"><b>By this Agent</b></th>
    <!--   
     <th  align="center"><b>Keep days</b></th>  
    -->  
</tr>
<%
  	Iterator it = alServersToCheck1.iterator();
	int i=0;
	while (it.hasNext()){
		out.print("<tr>");
		i++;
		ServersToCheck stc  	= 	(ServersToCheck)it.next();
		
		String sServerToCheckID = 	stc.getServerToCheckID();
		String sServerID		=	stc.getServerID();
		String sAgentID			=	stc.getAgentID();
		int iDays = stc.getKeepInDB();
		
    	out.print("<td style='text-align:center; vertical-align:top'>" + i	+"</td>");
    	
    	out.print ("\n<td style='text-align:center; vertical-align:top'>\n<input type='checkbox' name='Delete_" + sServerToCheckID + "'  value='ON'></td>");  
 		 	
    	//out.print("<td style='text-align:center; vertical-align:top'>" + sServerToCheckID	+"</td>");
    	
    	out.print("\n<td>");  
   		out.print(sServerID);
 		out.print("\n</td>");  
    	
    	out.print("\n<td>");  
   		out.print(sAgentID);
 		out.print("\n</td>");  
    	
    	//out.print("<td style='text-align:center; vertical-align:top'>" + iDays	+"</td>");    

    	out.print("</tr>");
    	
	}//end for-loop
	
	%>
</table>
&nbsp;

<p align='center'>
<input type="submit" value="Submit" name="Submit">
<input type="reset" value="Reset" name="Reset">

</FORM>

</body>
</html>