
<%@ page import="java.net.InetAddress, java.util.*, java.io.*, com.jtestnetwork.entity.*,  com.jtestnetwork.servlet.*,com.jtestnetwork.util.*" %>
<html>
<body>
<%@ include file="includeDBAbsolutePath.jsp" %>

<link rel="stylesheet" href="JTestNetworkStyles.css">

<%
// Alex K., 9/6/02


boolean postFlag = false;
if("POST".equalsIgnoreCase(request.getMethod())){

	postFlag = true;
	ArrayList alServersToCheck = 	(ArrayList)session.getAttribute( "ServersToCheck");

	//-------------------------------------------------------------------
	//process dynamically generated fields 
	//Build a array list of ServersToCheck objects
	//-------------------------------------------------------------------
	
	//ArrayList alServersToCheck = new ArrayList();

	for (Enumeration eList =  request.getParameterNames() ; eList.hasMoreElements() ; )
	{
		String sListElement = (String) eList.nextElement();
		String paramValue = request.getParameter(sListElement) ;
		if (paramValue == null) {paramValue = "";}
		if (paramValue.equals(" ")) {paramValue = "";}

		//split complex parameter name into Field Name and Server#
		if (sListElement.indexOf("_")!= -1) {
			Vector v = new Vector(2,1);

			StringTokenizer st = new StringTokenizer(sListElement, "_");
			while (st.hasMoreTokens()) {
				v.addElement(st.nextToken());
			}  //end while

			String sActionName 		= (String) v.elementAt(0);
			String sServerToCheckID = (String) v.elementAt(1);
	
			//delete ServersToCheck
			if (sActionName.equals("Delete")) {
				ServersToCheck stc = new ServersToCheck(sServerToCheckID, db);
				ServersToCheck.deleteServerToCheck(stc, db);//saves to DB
				
				//out.print("<br>ServerToCheck {" + stc.getServerToCheckID() +"} has been deleted");	
				out.print("<br>Server  {" + stc.getServerID() +"} will not be tested by Agent {"+ stc.getAgentID()+"}");
			}
    	} //end if (sListElement.indexOf("_")!= -1)   
 	}//end processing fields

	//replicate changes to all other Agents' DBs, from Control Panel only
	/*
	ArrayList alToSend = ServersToCheck.getAllServersToCheck(db);
	String objectsType = "ServersToCheck";
	ObjectsDeliveryClient.sendJTestObjects(alToSend, objectsType, ta_Self, db);
	*/

}//end post

%>
<p align="center">
<% 
	
	//build all ServersToCheck
	int iDaysToKeep = 3;

	ArrayList alServersToCheck1 = ServersToCheck.getAllServersToCheck(db);
	session.setAttribute( "ServersToCheck", alServersToCheck1);
	ArrayList alAgents 	= TestAgents.getAllAgents(db);
	ArrayList alServers = Servers.getAllServers(db);
	int iMaxNumberOfSTC = alAgents.size()*alServers.size();
	
%>
 <font size="4"><b>Mapping Agents to Servers</b></font>
<br><br>
 <table border="0" cellpadding="0" cellspacing="0" width="100%">
<tr>
<td>

<ul>
  <li>
    <p align="left">The purpose of mapping Agents to Server is to tell each 
    Agent which Servers it is supposed to test</li>
  <li>
    <p align="left">Currently there are <%=alServersToCheck1.size()%> 
    Agent/Server combinations 
</li>
  <li>
    <p align="left">To delete a record, check an appropriate Delete check box next to the
    Server and click on Submit</li>
  <li>
    <p align="left">Follow <a href="ServersToCheckGenerate.jsp">this link</a> to
    generate all <%=iMaxNumberOfSTC%> possible combinations of Agents and Servers&nbsp; 
    (each Agent will test all Servers)</li>
</ul>
</td>
</tr>
</table>
<table border="1" cellpadding="0" cellspacing="0" width="70%">
<FORM name="ServersToCheck" action="ServersToCheckUpdate.jsp" method='Post'>
<tr>
    <th  align="center"><b>#</b></th>
    <th  align="center"><b>Delete</b></th>
    <!--
    <th  align="center"><b>ID</b></th>    
    -->
    <th  align="center"><b>Test this Server</b></th>
    <th  align="center"><b>By this Agent</b></th>
    <!--    
    <th  align="center"><b>Keep days</b></th>    
    -->
    <th  align="center"><b>Test Results</b></th>  
</tr>
<%

  	Iterator it = alServersToCheck1.iterator();
	int i=0;
	while (it.hasNext()){
		out.print("<tr>");
		i++;
		ServersToCheck stc  	= 	(ServersToCheck)it.next();
//out.print("<p>"+stc.toString());
		
		String sServerToCheckID = stc.getServerToCheckID();
		String sServerID		=	stc.getServerID();
		String sAgentID			=	stc.getAgentID();
		int iDays = stc.getKeepInDB();
		
    	out.print("<td style='text-align:center; vertical-align:top'>" + i	+"</td>");
    	
    	out.print ("\n<td style='text-align:center; vertical-align:top'>\n<input type='checkbox' name='Delete_" + sServerToCheckID + "'  value='ON'></td>");  
 		 	
    	//out.print("<td  align=\"center\">" + sServerToCheckID	+"</td>");
    	
    	out.print("\n<td>");  
   		out.print(sServerID);
 		out.print("\n</td>");  
    	
    	out.print("\n<td>");  
   		out.print(sAgentID);
 		out.print("\n</td>");  
    	
    	//out.print("<td style='text-align:center; vertical-align:top'>" + iDays	+"</td>");  
  
 		out.print("\n<td style='text-align:center; vertical-align:top'>");  
   		out.print("\n<A onClick=\"window.open('CheckedServers.jsp?serverid="+sServerID+"&agentid="+ sAgentID+"','start','scrollbars=yes,toolbar=no,status=no,location=0,resizable=yes,close=no,menubar=no,width=600,height=400'); return false;\" HREF=\"#\">Click Here</a>");
 		out.print("\n</td>");  

    	out.print("</tr>");
    	
	}//end for-loop
	
	%>
</table>
&nbsp;

<p align='center'>
<input type="submit" value="Submit" name="Submit">
<input type="reset" value="Reset" name="Reset">

</FORM>

</body>
</html>