<%@ page import="java.net.InetAddress, java.util.*, java.text.*, com.jtestnetwork.entity.*, com.jtestnetwork.math.*" %>
<html>
<body>
<%@ include file="includeDBAbsolutePath.jsp" %>
<meta http-equiv ="refresh" content="<%=iAgentFrequencySec%>";>

<link rel="stylesheet" href="JTestNetworkStyles.css">
<%
/*
Alex K., 1/18/03
http://www.kozachkov.com:81/Alex_JTestNetwork/CheckedServersStats.jsp
*/

//display stats for either today (CheckedServers.xml) or other day
//that is passed as parameter	
 	
 	SimpleDateFormat sdf = new SimpleDateFormat("MM/dd/yyyy");	
 		
	ArrayList alServers  = Servers.getAllServers(db); 

	String sDateToDisplay = "today";	
	if (request.getParameter("datetodisplay")!=null&&request.getParameter("datetodisplay").length()!=0) {
		sDateToDisplay = (request.getParameter("datetodisplay"));
	}
	Date today = new Date();		
	String sToday= sdf.format(today);
	if (sToday.equals(sDateToDisplay))
		sDateToDisplay="today";

 	ArrayList alCheckedServers = new ArrayList();
 	
 	if (sDateToDisplay.equals("today")) {
 		alCheckedServers = CheckedServers.getAllLocalCheckedServers("", db);	
 	} else {
		java.util.Date dDateToOpen = sdf.parse(sDateToDisplay);
	 	alCheckedServers = CheckedServers.getArchivedCheckedServers("All",db, dDateToOpen);
 	}
	
%>
<p  align="left">
 <table border="0" cellpadding="0" cellspacing="0" width="100%">
 <tr><td style="text-align: center">
 <b>
 <font size=2>Test Statistics for <%=sDateToDisplay%></font></b></td>
 </tr>
 </table>
 <br>
 
 <table border="1" cellpadding="0" cellspacing="0" width="100%">
<tr> 
    <th  align="center"><b>Server</b></th>
    <th  align="center"><b># Of Tests</b></th>
    <th  align="center"><b># Failed</b></th>
    <th  align="center"><b>Uptime (%)</b></th>
</tr>
<%	

	int iNumberOfTests = alCheckedServers.size();
	HashMap hm = new HashMap();
	
	hm=CheckedServers.getUpTime(alCheckedServers);	
	
	ArrayList alForStats = new ArrayList();
	
	int iTotalFailed = 0;
	NumberFormat nf = NumberFormat.getInstance();
	
	Iterator it	=	alServers.iterator();
	while (it.hasNext()){
		String sUpTime = "n/a";
		String numberOfTests = "0";
		String numberOfFails = "0";
		Servers s  	= 	(Servers)it.next();

		String	sServerID		=	s.getServerID();

		if (hm.containsKey(sServerID)) {
   			int[] stats  	= 	(int[])hm.get(sServerID);
 			
 			numberOfTests = ""+stats[0];
			numberOfFails = ""+stats[1];  			
			iTotalFailed += stats[1];			

			double dUpTime = ((double)(stats[0]-stats[1])/stats[0])*100;
			alForStats.add(new Double(dUpTime));
			
			sUpTime = nf.format(dUpTime) ;
		}//key exists
		
		out.println("\n<tr><td>"+sServerID+"</td>");
		out.println("\n<td style='text-align:center; vertical-align:top'>"+numberOfTests+"</td>");
		out.println("\n<td style='text-align:center; vertical-align:top'>"+numberOfFails+"</td>");		
		out.println("\n<td style='text-align:center; vertical-align:top'>" + sUpTime+ "</td></tr>"); 
	
	}
	
	HashSorter srt = new HashSorter();
	srt.setPrecision(0);
	srt.setScale(10);
	Statistics stat = new Statistics(srt);
	stat.setData(alForStats);
	
	String sMean 	= "n/a";
	String sStdDev 	= "n/a";
	String sSkew 	= "n/a";
	if (iNumberOfTests>0) {
		sMean 	= nf.format(stat.getValue(StatisticsType.Mean));
		sStdDev 	= nf.format(stat.getValue(StatisticsType.StdDev));
		sSkew 	= nf.format(stat.getValue(StatisticsType.Skew));	
	}

%>

<tr>
<td style='text-align:right; vertical-align:top'>
Total:
</td>

<td style='text-align:center; vertical-align:top'><%=iNumberOfTests%>&nbsp;</td>
 
<td style='text-align:center; vertical-align:top'><%=iTotalFailed%>&nbsp;</td>

<td style='text-align:center; vertical-align:top'>&nbsp;</td>
</tr>

<tr>
<td style='text-align:right; vertical-align:top' colspan='3'>
Mean:
</td>
<td style='text-align:center; vertical-align:top'><%=sMean%>&nbsp;</td>
</tr>

<tr>
<td style='text-align:right; vertical-align:top' colspan='3'>
Standard Deviation:
</td>
<td style='text-align:center; vertical-align:top'><%=sStdDev%>&nbsp;</td>
</tr>

<tr>
<td style='text-align:right; vertical-align:top' colspan='3'>
Skew:
</td>
<td style='text-align:center; vertical-align:top'><%=sSkew%>&nbsp;</td>
</tr>


</table>

</body>
</html>